dpkg-split(1)

NOME
dpkg-split - ferramenta de divisão/junção de arquivos de pacote Debian

RESUMO
dpkg-split [option...] command

DESCRIÇÃO
dpkg-split divide ficheiros de pacotes binários Debian em partes menores e junta-as outra vez, para suportar o armazenamento de ficheiros de pacotes grandes em meios pequenos como as disquetes.

Pode ser operado manualmente usando as opções --split, --join e --info.

Também tem um modo automático, invocado usando a opção --auto, onde mantém uma lista de espera com as partes visíveis mas ainda não juntadas e junta um ficheiro pacote quando tem todas as partes visíveis. As opções --listq e --discard permitem a gestão da lista de espera.

Todas as operações de separar, juntar e meter em lista de espera produzem mensagens informativas na saída standard; estas podem ser ignoradas em segurança.

COMANDOS

-s, --split complete-archive [prefix]
    Divide um pacote binário Debian em várias partes.

    As partes são nomeadas prefixo.NofM.deb onde N é o número da parte, começando de 1, e M é o número total de partes (ambos em decimal).

    Se não for fornecido um prefixo, então é usando o nome de ficheiro de arquivo-completo, incluindo o directório, com qualquer .deb à direita removido.

-j, --join part...
    Junta as partes do ficheiro de pacote, voltando a remontando o ficheiro original como ele era antes de ser dividido.

    Os ficheiros parte dados como argumentos têm de ser todas as partes de exactamente o mesmo ficheiro binário original. Cada parte tem de ocorrer exactamente uma vez na lista de argumentos, apesar das partes não precisarem estar listadas por ordem.

    Claro que as partes têm todas de ser geradas com o mesmo tamanho de parte especificado durante a divisão, o que significa que têm de ser geralmente geradas pela mesma invocação de dpkg-split --split.

    Os nomes dos ficheiros das partes não são significantes para o processo de remontagem.

    Por predefinição, o ficheiro resultante é chamado pacote_versão_arquitectura.deb.

-I, --info part...
    Escreve informação, num formato humanamente legível, acerca dos ficheiro(s) parte especificados. Argumentos que não sejam partes de pacote binário, em vez disso, produzem uma mensagem a dizer-lo (mas mesmo assim na saída standard).

-a, --auto -o complete-output part
    Põe em lista de espera partes e remonta um pacote automaticamente se possível.

    A part especificada é examinada, e comparada com outras partes do mesmo pacote (se alguma) na fila de partes de ficheiros de pacotes.

    Se todas as partes do ficheiro pacote no qual part é uma parte estiverem disponíveis, então o pacote é remontado e escrito para complete-output (o que não deve geralmente já existir, apesar de isto não ser um erro).

    Se não então a parte é copiada para a lista de espera e o resultado-completo não é criado.

    Se part não for uma parte de pacote binário dividido então dpkg-split irá terminar com estado 1; se ocorrer algum outro problema então vai terminar com estado 2.

    A opção --output ou -o tem de ser fornecida quando se usa --auto. (se isto não fosse obrigatório o programa chamador não saberia que ficheiro resultante esperar.)

-l, --listq
    Lista o conteúdo da lista de espera de pacotes a serem remontados.

    Para cada ficheiro pacote cujas partes estão na fila o resultado dá o nome do pacote, as partes na fila, e o número total de bytes armazenados na fila.

-d, --discard [package...]
    Isto descarta partes da lista de espera daqueles que esperam as partes restantes dos seus pacotes.

    Se nenhum pacote for especificado então a lista de espera é completamente limpa; se algum for especificado então apenas partes do(s) pacote(s) são apagadas.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

OPÇÕES

--depotdir directory
    Especifica um directório alternativo para a lista de espera das partes que espera a remontagem automática. A predefinição é /var/lib/dpkg/parts.

--admindir directory
    Define o directório de administração para directory (desde dpkg 1.21.10). Isto é onde o ficheiro statoverride é guardado. A predefinição é «/var/lib/dpkg» se DPKG_ADMINDIR não estiver definido.

--root directory
    Define o directório raiz para directory (desde dpkg 1.21.10), o que define o directório de instalação para «directory» e o directório administrativo para «directory/var/lib/dpkg» se DPKG_ROOT não estiver definido.

-S, --partsize kibibytes
    Especifica o tamanho máximo de parte quando divide, em kibibytes (1024 bytes). A predefinição é 450 KiB.

-o, --output complete-output
    Especifica o nome de ficheiro resultante para uma remontagem.

    Isto sobrepõe a predefinição para uma remontagem manual (--join) e é obrigatório para uma fila-ou-remontagem automática (--auto).

-Q, --npquiet
    quando faz fila ou remontagem automática o dpkg-split geralmente escreve uma mensagem se lhe for dada uma part que não é uma parte de um pacote binário. Esta opção suprime esta mensagem, para permitir a programas como o dpkg lidar com ambos pacotes divididos e não-divididos sem produzir mensagens espúrias.

--msdos
    Impõe que os nomes de ficheiros gerados pelo --split sejam compatíveis com MSDOS.

    Isto mutila o prefixo - ou a predefinição derivada do nome de ficheiro introduzido ou aquele fornecido como um argumento: alfanuméricos são minúsculas, sinais mais são substituídos por xs e todos os outros caracteres são descartados.

    O resultado é então truncado o quanto necessário, e são gerados nomes de ficheiros no formato prefixoNdeM.deb.

ESTADO À SAÍDA

0   Os comandos split, merge, ou outros requeridos tiveram sucesso. Os comandos --info contam como com sucesso mesmo que os ficheiros não sejam partes de pacotes binários.

1   Apenas ocorre com --auto e indica que o ficheiro parte não é uma parte de um pacote binário.

2   Erro fatal ou irrecuperável devido a utilização inválida de linha de comandos, a um ficheiro que parecia um ficheiro de parte de pacote mas estava corrompido, ou a interações com o sistema, tais como acesso à base de dados, alocações de memória, etc.

AMBIENTE

DPKG_ROOT
    Se definido e a opção --root não foi especificada, será usado como o directório raiz do sistema de ficheiros (desde dpkg 1.21.10).

DPKG_ADMINDIR
    Se definido e as opções --admindir ou --root forem especificadas, será usado como o directório de dados do dpkg (desde dpkg 1.21.10).

DPKG_DEBUG
    Define a máscara de depuração (desde dpkg 1.21.10) a partir dum valor octal. As bandeiras presentemente aceites estão descritas na opção dpkg --debug, mas nem todas estas bandeiras podem ter um efeito neste programa.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

SOURCE_DATE_EPOCH
    Se definido, irá ser usado como marca temporal (como segundos desde a época) no contentor ar(5) de deb-split(5).

    Since dpkg 1.18.11.

FICHEIROS

/var/lib/dpkg/parts
    O directório de lista de espera predefinido para ficheiros de partes que esperam a montagem automática.

    Os nomes de ficheiros usados neste directório estão num formato interno ao dpkg-split e é improvável que sejam úteis a outros programas, e em qualquer caso não se deve confiar no formato do nome de ficheiro.

SEGURANÇA
Examinar ou juntar arquivos de pacotes divididos não-confiáveis deve ser considerado um limite à segurança, e qualquer violação desse limite derivando dessas operações deve ser considerada uma vulnerabilidade na segurança. Executar essas operações sobre dados não-confiáveis como root é fortemente desaconselhado.

A auto-acumulação e descarte de partes de pacotes divididos são consideradas operações privilegiadas que podem permitir escalada a root. Estas operações nunca devem ser delegadas a um utilizador não-confiável ou serem feitas em pacotes não-confiáveis, pois isso pode permitir acesso de root ao sistema.

A divisão de arquivos de pacotes só deve ser executada sobre dados de confiança.

BUGS
Os detalhes completos dos pacotes na lista de espera são impossíveis de obter sem que você próprio pesquise dentro do directório de lista de espera.

Não há maneira fácil de testar se um ficheiro que pode ser uma parte de um pacote binário o é mesmo.

VEJA TAMBÉM
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.